Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5101)
@@ -90,5 +90,5 @@
 ! Lecture des parametres:  
 ! ---------------------------------------------
-    call ini_getparam("nudging_parameters_out.txt")
+    CALL ini_getparam("nudging_parameters_out.txt")
 ! Variables guidees
     CALL getpar('guide_u',.true.,guide_u,'guidage de u')
@@ -103,5 +103,5 @@
     CALL getpar('guide_zon',.false.,guide_zon,'guidage moy zonale')
     if (guide_zon .and. abs(grossismx - 1.) > 0.01) &
-         call abort_gcm("guide_init", &
+         CALL abort_gcm("guide_init", &
          "zonal nudging requires grid regular in longitude", 1)
 
@@ -166,5 +166,5 @@
     CALL getpar('guide_2D',.false.,guide_2D,'fichier guidage lat-P')
 
-    call fin_getparam
+    CALL fin_getparam
     
 ! ---------------------------------------------
@@ -445,9 +445,9 @@
         factt=dtvr*iperiod/daysec 
 !$OMP MASTER
-        call tau2alpha(3, iip1, jjb_v, jje_v, factt, tau_min_v, tau_max_v, alpha_v)
-        call tau2alpha(2, iip1, jjb_u, jje_u, factt, tau_min_u, tau_max_u, alpha_u)
-        call tau2alpha(1, iip1, jjb_u, jje_u, factt, tau_min_T, tau_max_T, alpha_T)
-        call tau2alpha(1, iip1, jjb_u, jje_u, factt, tau_min_P, tau_max_P, alpha_P)
-        call tau2alpha(1, iip1, jjb_u, jje_u, factt, tau_min_Q, tau_max_Q, alpha_Q)
+        CALL tau2alpha(3, iip1, jjb_v, jje_v, factt, tau_min_v, tau_max_v, alpha_v)
+        CALL tau2alpha(2, iip1, jjb_u, jje_u, factt, tau_min_u, tau_max_u, alpha_u)
+        CALL tau2alpha(1, iip1, jjb_u, jje_u, factt, tau_min_T, tau_max_T, alpha_T)
+        CALL tau2alpha(1, iip1, jjb_u, jje_u, factt, tau_min_P, tau_max_P, alpha_P)
+        CALL tau2alpha(1, iip1, jjb_u, jje_u, factt, tau_min_Q, tau_max_Q, alpha_Q)
 ! correction de rappel dans couche limite
         if (guide_BL) then
@@ -1086,5 +1086,5 @@
 !$OMP BARRIER
 
-    call massbar_loc(pext, pbarx, pbary )
+    CALL massbar_loc(pext, pbarx, pbary )
 !$OMP BARRIER
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -2165,5 +2165,5 @@
   SUBROUTINE guide_out(varname,hsize,vsize,field_loc,factt)
     USE parallel_lmdz
-    USE mod_hallo, ONLY : gather_field_u, gather_field_v
+    USE mod_hallo, ONLY: gather_field_u, gather_field_v
     USE comconst_mod, ONLY: pi
     USE comvert_mod, ONLY: presnivs
@@ -2249,7 +2249,7 @@
         ierr=nf90_def_var(nid,"au",nf90_float,(/id_lonu,id_latu/),vid_au)
         ierr=nf90_def_var(nid,"av",nf90_float,(/id_lonv,id_latv/),vid_av)
-        call nf95_def_var(nid, "alpha_T", nf90_float, (/id_lonv, id_latu/), &
+        CALL nf95_def_var(nid, "alpha_T", nf90_float, (/id_lonv, id_latu/), &
              varid_alpha_t)
-        call nf95_def_var(nid, "alpha_q", nf90_float, (/id_lonv, id_latu/), &
+        CALL nf95_def_var(nid, "alpha_q", nf90_float, (/id_lonv, id_latu/), &
              varid_alpha_q)
         
@@ -2266,6 +2266,6 @@
         ierr = nf90_put_var(nid,vid_au,zu)
         ierr = nf90_put_var(nid,vid_av,zv)
-        call nf95_put_var(nid, varid_alpha_t, zt)
-        call nf95_put_var(nid, varid_alpha_q, zq)
+        CALL nf95_put_var(nid, varid_alpha_t, zt)
+        CALL nf95_put_var(nid, varid_alpha_q, zq)
 ! --------------------------------------------------------------------
 ! Création des variables sauvegardées
@@ -2349,6 +2349,6 @@
 
 !    if (varname=="ua") then
-!    call dump2d(iip1,jjp1,field_glo,'ua gui1 1ere couche ')
-!    call dump2d(iip1,jjp1,field_glo(:,:,llm),'ua gui1 llm ')
+!    CALL dump2d(iip1,jjp1,field_glo,'ua gui1 1ere couche ')
+!    CALL dump2d(iip1,jjp1,field_glo(:,:,llm),'ua gui1 llm ')
 !    endif
 
@@ -2405,13 +2405,13 @@
     RETURN
 
-    call barrier
+    CALL barrier
     CALL Gather_field_u(var,var_glob,1)
-    call barrier
+    CALL barrier
 
     if (mpi_rank==0) then
-       call dump2d(iip1,jjp1,var_glob,varname)
+       CALL dump2d(iip1,jjp1,var_glob,varname)
     endif
 
-    call barrier
+    CALL barrier
 
     return
@@ -2426,8 +2426,8 @@
      include "paramet.h"
      include "comgeom.h"
-     call barrier
-     call dump2du(alpha_u(ijb_u:ije_u),'  alpha_u couche 1')
-     call dump2du(unat2(:,jjbu:jjeu,nlevnc),'  unat2 couche nlevnc')
-     call dump2du(ugui1(ijb_u:ije_u,1)*sqrt(unscu2(ijb_u:ije_u)),'  ugui1 couche 1')
+     CALL barrier
+     CALL dump2du(alpha_u(ijb_u:ije_u),'  alpha_u couche 1')
+     CALL dump2du(unat2(:,jjbu:jjeu,nlevnc),'  unat2 couche nlevnc')
+     CALL dump2du(ugui1(ijb_u:ije_u,1)*sqrt(unscu2(ijb_u:ije_u)),'  ugui1 couche 1')
      return
 end subroutine dumpall
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5101)
@@ -23,5 +23,5 @@
   USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
   USE readTracFiles_mod, ONLY: addPhase
-  use netcdf, only : nf90_nowrite,nf90_open,nf90_noerr,NF90_INQ_VARID,nf90_close, nf90_get_var
+  use netcdf, ONLY: nf90_nowrite,nf90_open,nf90_noerr,nf90_inq_varid,nf90_close, nf90_get_var
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -94,5 +94,5 @@
     write(lunout,*) "You most likely want an aquaplanet initialisation", &
     " (iflag_phys >= 100)"
-    call abort_gcm(modname,"incompatible iflag_phys==1 and read_start==.false.",1)
+    CALL abort_gcm(modname,"incompatible iflag_phys==1 and read_start==.false.",1)
   endif
   
@@ -102,5 +102,5 @@
 
   ! initialize planet radius, rotation rate,...
-  call conf_planete
+  CALL conf_planete
 
   time_0=0.
@@ -154,5 +154,5 @@
      ierr = nf90_open ('relief_in.nc', nf90_nowrite,nid_relief)
      if (ierr==nf90_noerr) THEN
-         ierr=NF90_INQ_VARID(nid_relief,'RELIEF',varid)
+         ierr=nf90_inq_varid(nid_relief,'RELIEF',varid)
          if (ierr==nf90_noerr) THEN
               ierr=nf90_get_var(nid_relief,varid,relief(1:iim,1:jjp1))
@@ -181,5 +181,5 @@
        CALL exner_hyb( ip1jmp1, ps_glo, p, pks, pk )
      else
-       call exner_milieu(ip1jmp1,ps_glo,p,pks,pk)
+       CALL exner_milieu(ip1jmp1,ps_glo,p,pks,pk)
      endif
      CALL massdair(p,masse_glo)
@@ -301,5 +301,5 @@
         ! winds
         if (ok_geost) then
-           call ugeostr(phi,ucov_glo)
+           CALL ugeostr(phi,ucov_glo)
         else
            ucov_glo(:,:)=0.
@@ -345,5 +345,5 @@
         endif ! of if (planet_type=="earth")
 
-        call check_isotopes(q,ijb_u,ije_u,'iniacademic_loc')
+        CALL check_isotopes(q,ijb_u,ije_u,'iniacademic_loc')
 
         ! add random perturbation to temperature
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.F	(revision 5101)
@@ -12,5 +12,5 @@
        use misc_mod
 !       USE infotrac
-       use com_io_dyn_mod, only : histaveid,histvaveid,histuaveid,       &
+       use com_io_dyn_mod, ONLY: histaveid,histvaveid,histuaveid,       &
      &        dynhistave_file,dynhistvave_file,dynhistuave_file
        USE comconst_mod, ONLY: pi
@@ -124,8 +124,8 @@
 
 
-      call flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, 
+      CALL flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe,
      .                 'box',dynhistave_domain_id)
              
-      call histbeg(dynhistave_file,iip1, rlong(:,1), jjn,
+      CALL histbeg(dynhistave_file,iip1, rlong(:,1), jjn,
      .             rlat(1,jjb:jje), 1, iip1, 1, jjn,tau0,
      .             zjulian, tstep, thoriid,
@@ -160,8 +160,8 @@
 
 
-      call flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, 
+      CALL flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe,
      .                 'box',dynhistvave_domain_id)
 
-      call histbeg(dynhistvave_file,iip1, rlong(:,1), jjn,
+      CALL histbeg(dynhistvave_file,iip1, rlong(:,1), jjn,
      .             rlat(1,jjb:jje), 1, iip1, 1, jjn,tau0,
      .             zjulian, tstep, vhoriid,
@@ -190,8 +190,8 @@
 
 
-      call flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, 
+      CALL flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe,
      .                 'box',dynhistuave_domain_id)
              
-      call histbeg(dynhistuave_file,iip1, rlong(:,1), jjn,
+      CALL histbeg(dynhistuave_file,iip1, rlong(:,1), jjn,
      .             rlat(1,jjb:jje), 1, iip1, 1, jjn,tau0,
      .             zjulian, tstep, uhoriid,
@@ -202,9 +202,9 @@
 C  Appel a histvert pour la grille verticale
 C
-      call histvert(histaveid,'presnivs','Niveaux Pression
+      CALL histvert(histaveid,'presnivs','Niveaux Pression
      &     approximatifs','mb',llm, presnivs/100., zvertiid,'down')
-      call histvert(histuaveid,'presnivs','Niveaux Pression
+      CALL histvert(histuaveid,'presnivs','Niveaux Pression
      &     approximatifs','mb',llm, presnivs/100., zvertiidv,'down')
-      call histvert(histvaveid,'presnivs','Niveaux Pression
+      CALL histvert(histvaveid,'presnivs','Niveaux Pression
      &     approximatifs','mb',llm, presnivs/100., zvertiidu,'down')
 
@@ -215,5 +215,5 @@
 C
       jjn=jj_nb
-      call histdef(histuaveid, 'u', 'vent u moyen ',
+      CALL histdef(histuaveid, 'u', 'vent u moyen ',
      .             'm/s', iip1, jjn, uhoriid, llm, 1, llm, zvertiidu,
      .             32, 'ave(X)', t_ops, t_wrt)
@@ -223,5 +223,5 @@
 C
       if (pole_sud) jjn=jj_nb-1
-      call histdef(histvaveid, 'v', 'vent v moyen',
+      CALL histdef(histvaveid, 'v', 'vent v moyen',
      .             'm/s', iip1, jjn, vhoriid, llm, 1, llm, zvertiidv,
      .             32, 'ave(X)', t_ops, t_wrt)
@@ -231,5 +231,5 @@
 C
       jjn=jj_nb
-      call histdef(histaveid, 'temp', 'temperature moyenne', 'K',
+      CALL histdef(histaveid, 'temp', 'temperature moyenne', 'K',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
      .             32, 'ave(X)', t_ops, t_wrt)
@@ -237,5 +237,5 @@
 C  Temperature potentielle
 C
-      call histdef(histaveid, 'theta', 'temperature potentielle', 'K',
+      CALL histdef(histaveid, 'theta', 'temperature potentielle', 'K',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
      .             32, 'ave(X)', t_ops, t_wrt)
@@ -245,5 +245,5 @@
 C  Geopotentiel
 C
-      call histdef(histaveid, 'phi', 'geopotentiel moyen', '-',
+      CALL histdef(histaveid, 'phi', 'geopotentiel moyen', '-',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
      .             32, 'ave(X)', t_ops, t_wrt)
@@ -252,5 +252,5 @@
 C
 !        DO iq=1,nqtot
-!          call histdef(histaveid, tracers(iq)%name,
+!          CALL histdef(histaveid, tracers(iq)%name,
 !     .                            tracers(iq)%longName, '-',
 !     .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
@@ -260,5 +260,5 @@
 C  Masse
 C
-      call histdef(histaveid, 'masse', 'masse moyenne', 'kg',
+      CALL histdef(histaveid, 'masse', 'masse moyenne', 'kg',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
      .             32, 'ave(X)', t_ops, t_wrt)
@@ -266,5 +266,5 @@
 C  Pression au sol
 C
-      call histdef(histaveid, 'ps', 'pression naturelle au sol', 'Pa',
+      CALL histdef(histaveid, 'ps', 'pression naturelle au sol', 'Pa',
      .             iip1, jjn, thoriid, 1, 1, 1, -99,
      .             32, 'ave(X)', t_ops, t_wrt)
@@ -272,5 +272,5 @@
 C  Geopotentiel au sol
 C
-!      call histdef(histaveid, 'phis', 'geopotentiel au sol', '-',
+!      CALL histdef(histaveid, 'phis', 'geopotentiel au sol', '-',
 !     .             iip1, jjn, thoriid, 1, 1, 1, -99,
 !     .             32, 'ave(X)', t_ops, t_wrt)
@@ -278,7 +278,7 @@
 C  Fin
 C
-      call histend(histaveid)
-      call histend(histuaveid)
-      call histend(histvaveid)
+      CALL histend(histaveid)
+      CALL histend(histuaveid)
+      CALL histend(histvaveid)
 #else
       write(lunout,*)'initdynav_loc: Needs IOIPSL to function'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.F	(revision 5101)
@@ -123,8 +123,8 @@
       dhe=(/ 0,0 /)
 
-      call flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, 
+      CALL flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe,
      .                 'box',dynu_domain_id)
        
-      call histbeg(trim(infile),iip1, rlong(:,1), jjn, rlat(1,jjb:jje),
+      CALL histbeg(trim(infile),iip1, rlong(:,1), jjn, rlat(1,jjb:jje),
      .             1, iip1, 1, jjn, tau0, zjulian, tstep, uhoriid,
      .             fileid,dynu_domain_id)
@@ -156,8 +156,8 @@
       dhe=(/ 0,0 /)
 
-      call flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, 
+      CALL flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe,
      .                 'box',dynv_domain_id)
      
-      call histbeg('fluxstokev',iip1, rlong(:,1), jjn, rlat(1,jjb:jje),
+      CALL histbeg('fluxstokev',iip1, rlong(:,1), jjn, rlat(1,jjb:jje),
      .             1, iip1, 1, jjn,tau0, zjulian, tstep, vhoriid,
      .             filevid,dynv_domain_id)
@@ -167,5 +167,5 @@
       if (mpi_rank==0) then
           
-        call histbeg('defstoke.nc', 1, rl, 1, rl,
+        CALL histbeg('defstoke.nc', 1, rl, 1, rl,
      .               1, 1, 1, 1,
      .               tau0, zjulian, tstep, dhoriid, filedid)
@@ -186,5 +186,5 @@
       jjn=jj_nb
 
-      call histhori(fileid, iip1, rlong(:,jjb:jje),jjn,rlat(:,jjb:jje),
+      CALL histhori(fileid, iip1, rlong(:,jjb:jje),jjn,rlat(:,jjb:jje),
      .             'scalar','Grille points scalaires', thoriid)
         
@@ -192,9 +192,9 @@
 C  Appel a histvert pour la grille verticale
 C
-      call histvert(fileid, 'sig_s', 'Niveaux sigma',
+      CALL histvert(fileid, 'sig_s', 'Niveaux sigma',
      . 'sigma_level',
      .              llm, nivsigs, zvertiid)
 C Pour le fichier V
-      call histvert(filevid, 'sig_s', 'Niveaux sigma',
+      CALL histvert(filevid, 'sig_s', 'Niveaux sigma',
      .  'sigma_level',
      .              llm, nivsigs, zvertiid)
@@ -202,5 +202,5 @@
       if (mpi_rank==0) then
          nivd(1) = 1
-         call histvert(filedid, 'sig_s', 'Niveaux sigma',
+         CALL histvert(filedid, 'sig_s', 'Niveaux sigma',
      .        'sigma_level',
      .        1, nivd, dvertiid)
@@ -235,5 +235,5 @@
 C Masse 
 C
-      call histdef(fileid, 'masse', 'Masse', 'kg',
+      CALL histdef(fileid, 'masse', 'Masse', 'kg',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -241,5 +241,5 @@
 C  Pbaru 
 C
-      call histdef(fileid, 'pbaru', 'flx de masse zonal', 'kg m/s',
+      CALL histdef(fileid, 'pbaru', 'flx de masse zonal', 'kg m/s',
      .             iip1, jjn, uhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -250,5 +250,5 @@
       if (pole_sud) jjn=jj_nb-1
       
-      call histdef(filevid, 'pbarv', 'flx de masse mer', 'kg m/s',
+      CALL histdef(filevid, 'pbarv', 'flx de masse mer', 'kg m/s',
      .             iip1, jjn, vhoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -257,5 +257,5 @@
 C
       if (pole_sud) jjn=jj_nb
-      call histdef(fileid, 'w', 'flx de masse vert', 'kg m/s',
+      CALL histdef(fileid, 'w', 'flx de masse vert', 'kg m/s',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -264,5 +264,5 @@
 C  Temperature potentielle
 C
-      call histdef(fileid, 'teta', 'temperature potentielle', '-',
+      CALL histdef(fileid, 'teta', 'temperature potentielle', '-',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -272,5 +272,5 @@
 C Geopotentiel 
 C
-      call histdef(fileid, 'phi', 'geopotentiel instantane', '-',
+      CALL histdef(fileid, 'phi', 'geopotentiel instantane', '-',
      .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
      .             32, 'inst(X)', t_ops, t_wrt)
@@ -278,11 +278,11 @@
 C  Fin
 C
-      call histend(fileid)
-      call histend(filevid)
-      if (mpi_rank==0) call histend(filedid)
+      CALL histend(fileid)
+      CALL histend(filevid)
+      if (mpi_rank==0) CALL histend(filedid)
       if (ok_sync) then
-        call histsync(fileid)
-        call histsync(filevid)
-        if (mpi_rank==0) call histsync(filedid)
+        CALL histsync(fileid)
+        CALL histsync(filevid)
+        if (mpi_rank==0) CALL histsync(filedid)
       endif
         
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F90	(revision 5101)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F90	(revision 5101)
@@ -0,0 +1,286 @@
+! $Id: initdynav_p.F 1279 2009-12-10 09:02:56Z fairhead $
+
+subroutine inithist_loc(day0, anne0, tstep, t_ops, t_wrt)
+
+#ifdef CPP_IOIPSL
+  ! This routine needs IOIPSL
+   USE IOIPSL
+#endif
+  USE parallel_lmdz
+  use Write_field
+  use misc_mod
+  use com_io_dyn_mod, ONLY: histid, histvid, histuid, &
+          dynhist_file, dynhistv_file, dynhistu_file
+  USE comconst_mod, ONLY: pi
+  USE comvert_mod, ONLY: presnivs
+  USE temps_mod, ONLY: itau_dyn
+
+  implicit none
+
+  !
+  !   Routine d'initialisation des ecritures des fichiers histoires LMDZ
+  !   au format IOIPSL
+  !
+  !   Appels succesifs des routines: histbeg
+  !                              histhori
+  !                              histver
+  !                              histdef
+  !                              histend
+  !
+  !   Entree:
+  !
+  !  day0,anne0: date de reference
+  !  tstep: duree du pas de temps en seconde
+  !  t_ops: frequence de l'operation pour IOIPSL
+  !  t_wrt: frequence d'ecriture sur le fichier
+  !  nq: nombre de traceurs
+  !
+  !
+  !   L. Fairhead, LMD, 03/99
+  !
+  ! =====================================================================
+  !
+  !   Declarations
+  include "dimensions.h"
+  include "paramet.h"
+  include "comgeom.h"
+  include "description.h"
+  include "iniprint.h"
+
+  !   Arguments
+  !
+  integer :: day0, anne0
+  real :: tstep, t_ops, t_wrt
+
+#ifdef CPP_IOIPSL
+  ! This routine needs IOIPSL
+  !   Variables locales
+  !
+  integer :: tau0
+  real :: zjulian
+  integer :: iq
+  real :: rlong(iip1,jjp1), rlat(iip1,jjp1)
+  integer :: uhoriid, vhoriid, thoriid
+  integer :: zvertiid,zvertiidv,zvertiidu
+  integer :: ii,jj
+  integer :: zan, dayref
+  integer :: jjb,jje,jjn
+
+  ! definition du domaine d'ecriture pour le rebuild
+
+  INTEGER,DIMENSION(2) :: ddid
+  INTEGER,DIMENSION(2) :: dsg
+  INTEGER,DIMENSION(2) :: dsl
+  INTEGER,DIMENSION(2) :: dpf
+  INTEGER,DIMENSION(2) :: dpl
+  INTEGER,DIMENSION(2) :: dhs
+  INTEGER,DIMENSION(2) :: dhe
+
+  INTEGER :: dynhist_domain_id
+  INTEGER :: dynhistv_domain_id
+  INTEGER :: dynhistu_domain_id
+
+  if (adjust) return
+
+  !
+  !  Initialisations
+  !
+  pi = 4. * atan (1.)
+  !
+  !  Appel a histbeg: creation du fichier netcdf et initialisations diverses
+  !
+
+  zan = anne0
+  dayref = day0
+  CALL ymds2ju(zan, 1, dayref, 0.0, zjulian)
+  tau0 = itau_dyn
+
+  do jj = 1, jjp1
+    do ii = 1, iip1
+      rlong(ii,jj) = rlonv(ii) * 180. / pi
+      rlat(ii,jj)  = rlatu(jj) * 180. / pi
+    enddo
+  enddo
+
+
+  ! Creation de 3 fichiers pour les differentes grilles horizontales
+  ! Restriction de IOIPSL: seulement 2 coordonnees dans le meme fichier
+  ! Grille Scalaire
+
+  jjb=jj_begin
+  jje=jj_end
+  jjn=jj_nb
+
+  ddid=(/ 1,2 /)
+  dsg=(/ iip1,jjp1 /)
+  dsl=(/ iip1,jjn /)
+  dpf=(/ 1,jjb /)
+  dpl=(/ iip1,jje /)
+  dhs=(/ 0,0 /)
+  dhe=(/ 0,0 /)
+
+
+  CALL flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, &
+        'box',dynhist_domain_id)
+
+  CALL histbeg(dynhist_file,iip1, rlong(:,1), jjn, &
+        rlat(1,jjb:jje), 1, iip1, 1, jjn,tau0, &
+        zjulian, tstep, thoriid, &
+        histid,dynhist_domain_id)
+
+
+  !  Creation du fichier histoire pour les grilles en V et U (oblige pour l'instant,
+  !  IOIPSL ne permet pas de grilles avec des nombres de point differents dans
+  !  un meme fichier)
+  ! Grille V
+
+  jjb=jj_begin
+  jje=jj_end
+  jjn=jj_nb
+  IF (pole_sud) jjn=jjn-1
+  IF (pole_sud) jje=jje-1
+
+  do jj = jjb, jje
+    do ii = 1, iip1
+      rlong(ii,jj) = rlonv(ii) * 180. / pi
+      rlat(ii,jj) = rlatv(jj) * 180. / pi
+    enddo
+  enddo
+
+  ddid=(/ 1,2 /)
+  dsg=(/ iip1,jjm /)
+  dsl=(/ iip1,jjn /)
+  dpf=(/ 1,jjb /)
+  dpl=(/ iip1,jje /)
+  dhs=(/ 0,0 /)
+  dhe=(/ 0,0 /)
+
+
+  CALL flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, &
+        'box',dynhistv_domain_id)
+
+  CALL histbeg(dynhistv_file,iip1, rlong(:,1), jjn, &
+        rlat(1,jjb:jje), 1, iip1, 1, jjn,tau0, &
+        zjulian, tstep, vhoriid, &
+        histvid,dynhistv_domain_id)
+
+  ! Grille U
+
+  do jj = 1, jjp1
+    do ii = 1, iip1
+      rlong(ii,jj) = rlonu(ii) * 180. / pi
+      rlat(ii,jj) = rlatu(jj) * 180. / pi
+    enddo
+  enddo
+
+  jjb=jj_begin
+  jje=jj_end
+  jjn=jj_nb
+
+  ddid=(/ 1,2 /)
+  dsg=(/ iip1,jjp1 /)
+  dsl=(/ iip1,jjn /)
+  dpf=(/ 1,jjb /)
+  dpl=(/ iip1,jje /)
+  dhs=(/ 0,0 /)
+  dhe=(/ 0,0 /)
+
+
+  CALL flio_dom_set(mpi_size,mpi_rank,ddid,dsg,dsl,dpf,dpl,dhs,dhe, &
+        'box',dynhistu_domain_id)
+
+  CALL histbeg(dynhistu_file,iip1, rlong(:,1), jjn, &
+        rlat(1,jjb:jje), 1, iip1, 1, jjn,tau0, &
+        zjulian, tstep, uhoriid, &
+        histuid,dynhistu_domain_id)
+
+
+  ! -------------------------------------------------------------
+  !  Appel a histvert pour la grille verticale
+  ! -------------------------------------------------------------
+  CALL histvert(histid, 'presnivs', 'Niveaux pression','mb', &
+        llm, presnivs/100., zvertiid,'down')
+  CALL histvert(histvid, 'presnivs', 'Niveaux pression','mb', &
+        llm, presnivs/100., zvertiidv,'down')
+  CALL histvert(histuid, 'presnivs', 'Niveaux pression','mb', &
+        llm, presnivs/100., zvertiidu,'down')
+
+  !
+  ! -------------------------------------------------------------
+  !  Appels a histdef pour la definition des variables a sauvegarder
+  ! -------------------------------------------------------------
+  !
+  !  Vents U
+  !
+  jjn=jj_nb
+  CALL histdef(histuid, 'u', 'vent u', &
+        'm/s', iip1, jjn, uhoriid, llm, 1, llm, zvertiidu, &
+        32, 'inst(X)', t_ops, t_wrt)
+
+  !
+  !  Vents V
+  !
+  if (pole_sud) jjn=jj_nb-1
+  CALL histdef(histvid, 'v', 'vent v', &
+        'm/s', iip1, jjn, vhoriid, llm, 1, llm, zvertiidv, &
+        32, 'inst(X)', t_ops, t_wrt)
+
+  !
+  !  Temperature
+  !
+  jjn=jj_nb
+  CALL histdef(histid, 'temp', 'temperature', 'K', &
+        iip1, jjn, thoriid, llm, 1, llm, zvertiid, &
+        32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Temperature potentielle
+  !
+  CALL histdef(histid, 'theta', 'temperature potentielle', 'K', &
+        iip1, jjn, thoriid, llm, 1, llm, zvertiid, &
+        32, 'inst(X)', t_ops, t_wrt)
+
+
+  !
+  !  Geopotentiel
+  !
+  CALL histdef(histid, 'phi', 'geopotentiel', '-', &
+        iip1, jjn, thoriid, llm, 1, llm, zvertiid, &
+        32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Traceurs
+  !
+  !    DO iq=1,nqtot
+  !      CALL histdef(histid, tracers(iq)%name,
+  ! .             tracers(iq)%longName, '-',
+  ! .             iip1, jjn, thoriid, llm, 1, llm, zvertiid,
+  ! .             32, 'inst(X)', t_ops, t_wrt)
+  !    enddo
+  !
+  !  Masse
+  !
+  CALL histdef(histid, 'masse', 'masse', 'kg', &
+        iip1, jjn, thoriid, llm, 1, llm, zvertiid, &
+        32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Pression au sol
+  !
+  CALL histdef(histid, 'ps', 'pression naturelle au sol', 'Pa', &
+        iip1, jjn, thoriid, 1, 1, 1, -99, &
+        32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Geopotentiel au sol
+  !
+  !  CALL histdef(histid, 'phis', 'geopotentiel au sol', '-',
+  ! .             iip1, jjn, thoriid, 1, 1, 1, -99,
+  ! .             32, 'inst(X)', t_ops, t_wrt)
+  !
+  !  Fin
+  !
+  CALL histend(histid)
+  CALL histend(histuid)
+  CALL histend(histvid)
+#else
+  write(lunout, *)'inithist_loc: Needs IOIPSL to function'
+#endif
+  ! #endif of #ifdef CPP_IOIPSL
+end subroutine inithist_loc
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F	(revision 5101)
@@ -157,5 +157,5 @@
           write(lunout,*) " lon = ",rlonv(i)*180./pi, " deg",
      &                    " lat = ",rlatu(j)*180./pi, " deg"
-         call abort_gcm("integrd_loc", "negative surface pressure", 1)
+         CALL abort_gcm("integrd_loc", "negative surface pressure", 1)
       ENDIF
 
@@ -164,28 +164,28 @@
         !write(*,*) 'integrd 170'
       IF (.NOT. Checksum_all) THEN
-        call WriteField_v('int_vcov',vcov)
-        call WriteField_u('int_ucov',ucov)
-        call WriteField_u('int_teta',teta)
-        call WriteField_u('int_ps0',ps0)
-        call WriteField_u('int_masse',masse)
-        call WriteField_u('int_phis',phis)
-        call WriteField_v('int_vcovm1',vcovm1)
-        call WriteField_u('int_ucovm1',ucovm1)
-        call WriteField_u('int_tetam1',tetam1)
-        call WriteField_u('int_psm1',psm1)
-        call WriteField_u('int_massem1',massem1)
-
-        call WriteField_v('int_dv',dv)
-        call WriteField_u('int_du',du)
-        call WriteField_u('int_dteta',dteta)
-        call WriteField_u('int_dp',dp)
-!        call WriteField_u('int_finvmaold',finvmaold)
+        CALL WriteField_v('int_vcov',vcov)
+        CALL WriteField_u('int_ucov',ucov)
+        CALL WriteField_u('int_teta',teta)
+        CALL WriteField_u('int_ps0',ps0)
+        CALL WriteField_u('int_masse',masse)
+        CALL WriteField_u('int_phis',phis)
+        CALL WriteField_v('int_vcovm1',vcovm1)
+        CALL WriteField_u('int_ucovm1',ucovm1)
+        CALL WriteField_u('int_tetam1',tetam1)
+        CALL WriteField_u('int_psm1',psm1)
+        CALL WriteField_u('int_massem1',massem1)
+
+        CALL WriteField_v('int_dv',dv)
+        CALL WriteField_u('int_du',du)
+        CALL WriteField_u('int_dteta',dteta)
+        CALL WriteField_u('int_dp',dp)
+!        CALL WriteField_u('int_finvmaold',finvmaold)
         do j=1,nq
-          call WriteField_u('int_q'//trim(int2str(j)),
+          CALL WriteField_u('int_q'//trim(int2str(j)),
      .                q(:,:,j))
-          call WriteField_u('int_dq'//trim(int2str(j)),
+          CALL WriteField_u('int_dq'//trim(int2str(j)),
      .                dq(:,:,j))
         enddo
-        call abort_gcm("integrd_loc", "", 1)
+        CALL abort_gcm("integrd_loc", "", 1)
       ENDIF
     
@@ -346,5 +346,5 @@
 c$OMP BARRIER
 
-        call check_isotopes(q,ijb,ije,'integrd 342')
+        CALL check_isotopes(q,ijb,ije,'integrd 342')
 
         !write(*,*) 'integrd 341'
@@ -352,5 +352,5 @@
         !write(*,*) 'integrd 343'
 
-        call check_isotopes(q,ijb,ije,'integrd 346')
+        CALL check_isotopes(q,ijb,ije,'integrd 346')
 c
 c    .....  Calcul de la valeur moyenne, unique  aux poles pour  q .....
@@ -403,5 +403,5 @@
       ENDIF
 
-      call check_isotopes(q,ijb,ije,'integrd 409')
+      CALL check_isotopes(q,ijb,ije,'integrd 409')
       
 ! Ehouarn: forget about finvmaold
